Download it now!
Bug 87581 - Delete Autocorrect Exception does not work
Summary: Delete Autocorrect Exception does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:4.5.0 target:4.4.0.2 target:4...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-12-22 09:35 UTC by Roeland
Modified: 2015-01-08 12:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roeland 2014-12-22 09:35:11 UTC
I added SQuare to the exception list of words with two initial capitals that should not be automatically corrected.

Tools -> Autocorrect Options -> Exceptions -> Words with TWo INitial CApitals

I typed in SQuare, clicked on the [New] button and the word was added to the exception list. 

After this I did:

Tools -> Autocorrect Options -> Exceptions -> Words with TWo INitial CApitals

then highlighted the word SQuare in the list, clicked on the [Delete] button, and saw the word disappear from the exception list. I then clicked [OK] to close the dialogue. This has no effect. The word is still not corrected automatically, and when you go back to the exceptions dialogue it is still in the list.



LibreOffice 4.3.2.2
64-bit Windows

Confirmed on the LibreOffice forums on 4.3.4.1 as well.
http://en.libreofficeforum.org/node/9795
Comment 1 Julien Nabet 2014-12-22 22:54:53 UTC
On pc Debian x86-64 with 4.4 sources updated today, I could reproduce this.
Comment 2 Commit Notification 2014-12-22 22:59:17 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5811c70bb443190a76a52585580659f96a58a04

Resolves fdo#87581: Pb to delete words with 2 initials in Autocorr Except

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Julien Nabet 2014-12-22 23:04:44 UTC
Review for 4.4: https://gerrit.libreoffice.org/13618
Review for 4.3: https://gerrit.libreoffice.org/13619
Comment 4 Roeland 2014-12-23 18:03:47 UTC
Thanks Julien!
Comment 5 Commit Notification 2014-12-25 11:43:52 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ca0a30de75b0b563c95c6ff8863b1c4f7ed1c6b&h=libreoffice-4-4

Resolves fdo#87581: Pb to delete words with 2 initials in Autocorr Except

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2015-01-08 12:01:20 UTC
regression from

commit 68ec95b3f80408ae50897b043eed69a07d084df9
Author:     Eike Rathke <erack@redhat.com>
AuthorDate: Sat Mar 1 03:13:28 2014 +0100

    made ListBox handle more than 64k elements, fdo#61520 related
Comment 7 Commit Notification 2015-01-08 12:02:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d782fe3ba2f40804cad202d88ea64fde1396032&h=libreoffice-4-3

Resolves fdo#87581: Pb to delete words with 2 initials in Autocorr Except

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.